<?php
$sumador_combo=0;
$sumador_total=0;

$neto=0;
$total_descuento=0;
$total_iva=0;
$total_retencion=0;
$sumador_articulos=0;

$ret=mysqli_query($con,"SELECT * FROM retencion_temp where empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con)); 
$rets=mysqli_fetch_array($ret);
$retencion_ret_id=!empty($rets['retencion_ret_id']);
$rete=mysqli_query($con,"SELECT * FROM retencion where empresa='$empresa' and ret_id='$retencion_ret_id'") or die(mysqli_error($con));
$rete=mysqli_fetch_array($rete);
$ret_porcentaje=!empty($rete['ret_porcentaje']);

$sql=mysqli_query($con,"SELECT * from venta_detalle_temp where empresa='$empresa' and usuario='$usu_id'");
while ($row=mysqli_fetch_array($sql))
{
    include('detalle_temp.php');
}

$sumador_combo=0;
$sql2=mysqli_query($con,"SELECT * from venta_detalle_combo_temp where usuario='$usu_id'");
while ($row2=mysqli_fetch_array($sql2))
{
    $vdc_id=$row2['vdc_id'];
    $precio=($row2['combo_cantidad']*$row2['combo_precio']);
    $sumador_combo+=$precio;
}

$total_retencion+=($neto+$sumador_combo-$total_descuento)*($ret_porcentaje/100);
$sumador_total=$sumador_articulos+$sumador_combo-$total_retencion;

?>
<div id="apartar" class="modal fade" tabindex="-1" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title">Apartar Venta</h4>
            </div>
            <div class="modal-body">
                <div id="ventana">
                    <?php
                        $can=mysqli_query($con,"SELECT * FROM cliente c, cliente_venta_temp cv where usuario='$usu_id' and c.clie_id=cv.cvt_clie_id and c.empresa='$empresa' and c.clie_nombre<>'CLIENTE MOSTRADOR'") or die(mysqli_error($con)); 
                        if($dato=mysqli_fetch_array($can))
                    {   ?>            
                    <pre style="font-size:24px;text-align:center" ><strong class="text-danger">$ <?php echo number_format($sumador_total,0); ?></strong></pre> 
                    <div class="middle">
                        <label>
                            <input type="radio" name="radio_apar" id="efectiv" value="efectiv" onchange="javascript:abono_efec()" checked />
                            <div class="front-end box"><span>EFECTIVO</span></div>
                        </label>
                        <label>
                            <input type="radio" name="radio_apar" id="transferenci" value="transferenci" onchange="javascript:abono_efec()" />
                            <div class="front-end box"><span>TRANSFERENCIA</span> </div>
                        </label>
                        <label>
                            <input type="radio" name="radio_apar" id="tarjet" value="tarjet" onchange="javascript:abono_efec()" />
                            <div class="front-end box"><span>TARJETA</span> </div>
                        </label>
                    <?php 
                        $can=mysqli_query($con,"SELECT * FROM cliente c, cliente_venta_temp cv where c.clie_id=cv.cvt_clie_id and cv.empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con)); 
                        $dato=mysqli_fetch_array($can);
                        $clie_nota_credito=$dato['clie_nota_credito'];
                        $clie_id=$dato['clie_id'];
                        if($clie_nota_credito>'0')
                        {   ?>
                        <label>
                        <input type="radio" name="radio_apar"  id="cruza" value="cruza"  onchange="javascript:abono_efec()" />
                            <div class="front-end box">
                                <span>CRUZAR</span>
                            </div>
                        </label>
                <?php   }   ?>
                    </div>
                    <form name="form_apartar_efectivo" id="form_apartar_efectivo" method="post" action="">
                        <div id="efec" style="display: ; ">
                            <label>ABONO</label>
                            <input type="text" class="form-control" value="0" id="valor" name="valor" required>
                            <input type="hidden" name="medio_pago"  id="medio_pago" value="Efectivo" />
                            <input type="hidden" name="forma_pago"  id="forma_pago" value="efectivo" />
                            <br>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">NO</button>
                                <button name="apartar_efec" id="apartar_efec" type="submit" class="btn btn-info"><i class="icon-ok"></i> <strong>SI</strong></button>
                            </div>
                        </div>
                    </form>

                    <form name="form_apartar_transferencia" id="form_apartar_transferencia" method="post" action="">
                        <div id="trans" style="display: none;">
                            <label>PLATAFORMA DE PAGO</label>
                            <section id="intro" >
                                <select name="medio_pago" id="medio_pago" class="form-control name_list input-sm" required>
                                    <?php
                                        $datos = mysqli_query($con,"SELECT * FROM banco WHERE empresa='$empresa' order by ban_nombre asc") ;
                                        while( $fila = mysqli_fetch_array( $datos ) )
                                        {
                                            echo' <option value="'.$fila['ban_nombre'].'">'.$fila['ban_nombre'].'</option>';
                                        }
                                    ?>
                                </select>
                            </section>

                            <label>ABONO </label>
                            <input type="text" class="form-control" value="0" id="valor" name="valor" required>
                            <input type="hidden" name="forma_pago"  id="forma_pago" value="transferencia" />
                            <br>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">NO</button>
                                <button name="apartar_trans" id="apartar_trans" type="submit" class="btn btn-info"><i class="icon-ok"></i> <strong>SI</strong></button>
                            </div>
                        </div>
                    </form>

                    <form name="form_apartar_tarjeta" id="form_apartar_tarjeta" method="post" action="">
                        <div id="tarj" style="display: none;">
                            <label>PLATAFORMA DE PAGO</label>
                            <section id="intro" >
                                <select name="medio_pago" id="medio_pago" class="form-control name_list input-sm" required>
                                    <?php
                                        $datos = mysqli_query($con,"SELECT * FROM banco WHERE empresa='$empresa' order by ban_nombre asc") ;
                                        while( $fila = mysqli_fetch_array( $datos ) )
                                        {
                                            echo' <option value="'.$fila['ban_nombre'].'">'.$fila['ban_nombre'].'</option>';
                                        }
                                    ?>
                                </select>
                            </section>

                            <label>ABONO</label>
                            <input type="text" class="form-control" value="0" id="valor" name="valor" required>
                            <input type="hidden" name="forma_pago"  id="forma_pago" value="tarjeta" />
                            <br>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">NO</button>
                                <button name="apartar_tar" id="apartar_tar" type="submit" class="btn btn-info"><i class="icon-ok"></i> <strong>SI</strong></button>
                            </div>
                        </div>
                    </form>


                    <form name="form_apartar_cruce" id="form_apartar_cruce" method="post" action="">
                        <div id="cruz" style="display: none; ">
                            <label>NOTA CREDITO DISPONIBLE</label>
                            <input type="text" class="form-control" value="<?php echo $clie_nota_credito; ?>" id="nota" name="nota" readonly>
                            <label>ABONO (nota credito)</label>
                            <input type="text" class="form-control" value="0" id="valor" name="valor" required>
                            <input type="hidden" name="medio_pago" id="medio_pago" value="Nota credito" />
                            <input type="hidden" name="forma_pago" id="forma_pago" value="nota credito" />
                            <br>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">NO</button>
                                <button name="apartar_cru" id="apartar_cru" type="submit" class="btn btn-info"><i class="icon-ok"></i> <strong>SI</strong></button>
                            </div>
                        </div>
                    </form>
            <?php   }   else   
                    {   ?>  
                    <div class="alert alert-info alert-dismissable">
                        <strong>No se puede apartar a cliente Mostrador</strong> <a href="#" class="alert-link"></a>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    </div> 
            <?php   }   ?>
                    
                </div>
                <div id="resultado_apartado"></div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div> 
<script type="text/javascript">
//registrar apartar
$("#apartar_efec").click(function(event) {
$('#apartar_efec').attr("disabled", true);
var parametros = $("#form_guia, #form_apartar_efectivo").serialize();
   $.ajax({
      type: "POST",
      url: "php_facturar/registrar_apartado.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultado_apartado').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultado_apartado").html(datos);
      $('#apartar_efec').attr("disabled", false);
      
      $('#ventana').hide(); 
      loadTabla();
      loadtotal();
      loadcliente();
      limpiar_campos();
      limpiar_buscador()
      }
  });
  event.preventDefault();
})
//registrar apartar
$("#apartar_trans").click(function(event) {
$('#apartar_trans').attr("disabled", true);
var parametros = $("#form_guia, #form_apartar_transferencia").serialize();
   $.ajax({
      type: "POST",
      url: "php_facturar/registrar_apartado.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultado_apartado').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultado_apartado").html(datos);
      $('#apartar_trans').attr("disabled", false);
      
      $('#ventana').hide(); 
      loadTabla();
      loadtotal();
      loadcliente();
      limpiar_campos();
      limpiar_buscador()
      }
  });
  event.preventDefault();
})
//registrar apartar
$("#apartar_tar").click(function(event) {
$('#apartar_tar').attr("disabled", true);

var parametros = $("#form_guia, #form_apartar_tarjeta").serialize();
   $.ajax({
      type: "POST",
      url: "php_facturar/registrar_apartado.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultado_apartado').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultado_apartado").html(datos);
      $('#apartar_tar').attr("disabled", false);
      
      $('#ventana').hide(); 
      loadTabla();
      loadtotal();
      loadcliente();
      limpiar_campos();
      limpiar_buscador()
      }
  });
  event.preventDefault();
})
//registrar apartar
$("#apartar_cru").click(function(event) {
$('#apartar_cru').attr("disabled", true);

var parametros = $("#form_guia, #form_apartar_cruce").serialize();
    $.ajax({
      type: "POST",
      url: "php_facturar/registrar_apartado.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultado_apartado').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
      success: function(datos){
      $("#resultado_apartado").html(datos);
      $('#apartar_cru').attr("disabled", false);
      
      $('#ventana').hide(); 
      loadTabla();
      loadtotal();
      loadcliente();
      limpiar_campos();
      limpiar_buscador()
      }
  });
  event.preventDefault();
})
</script>
<script type="text/javascript">
function abono_efec() {
    efec = document.getElementById("efec");
    tarj = document.getElementById("tarj");
    cruz = document.getElementById("cruz");
    trans = document.getElementById("trans");

    Efectiv = document.getElementById("efectiv");
    Tarjet = document.getElementById("tarjet");
    Cruz = document.getElementById("cruza");
    Transferenci = document.getElementById("transferenci");

    if (Efectiv.checked) {
        efec.style.display='block';
        trans.style.display='none';
        tarj.style.display='none';
        cruz.style.display='none';
    }
    else if (Transferenci.checked)
    {
        efec.style.display='none';
        trans.style.display='block';
        tarj.style.display='none';
        cruz.style.display='none';
    }
     else if (Tarjet.checked) {
        efec.style.display='none';
        trans.style.display='none';
        tarj.style.display='block';
        cruz.style.display='none';
    }
    else if (Cruz.checked)
    {
        efec.style.display='none';
        trans.style.display='none';
        tarj.style.display='none';
        cruz.style.display='block';
    }
}

$('#apartar').on('shown.bs.modal', function() {
    $("#valor").focus();
});
</script>
<style>
.middle {
  width: 100%;
  text-align: center;
  /* Made by */
}
.middle h1 {
  font-family: "Dax", sans-serif;
  color: #ccc;
}
.middle input[type="radio"] {
  display: none;
}
.middle input[type="radio"]:checked + .box {
  background-color: #009e90;
}
.middle input[type="radio"]:checked + .box span {
  color: white;
  transform: translateY(70px);
}
.middle input[type="radio"]:checked + .box span:before {
  transform: translateY(0px);
  opacity: 1;
}
.middle .box {
  width: 131px;
  height: 60px;
  background-color: #ccc;
  transition: all 250ms ease;
  will-change: transition;
  display: inline-block;
  text-align: center;
  cursor: pointer;
  position: relative;
  font-family: "Dax", sans-serif;
  font-weight: 900;
  padding-top: 19px;
}
.middle .box span {
  left: 0;
  right: 0;
}
</style>